Subject: bug#25360: File mode specification errors during building

From: [email-masked] (Phillip Lord)
Date: Mon, 06 Mar 2017 16:31:04 +0000

Andy Moreton <[email-masked]> writes:
>>> (autoload 'w32-convert-standard-filename "w32-fns.el" nil nil nil)
>>> 
>>> into ldefs-boot-auto.el. generate-ldefs-boot adds this for me anyway. If
>>> it works for you, I can add this to master quicker than I can revert.
>>
>> Why would that change anything?  ldefs-boot-manual.el already includes
>> that line, so ldefs-boot-auto.el doesn't have to, right?
>
> Adding this to does not remove the build failures, so Eli is correct.
>
> What is needed is to revert the changes that caused this regression in
> the build machinery.

That is on the branch that I emailed earlier. Will be happy to hear if
it solves the issue.

Phil